unit Main;

interface

uses
  WinTypes, WinProcs, Classes,
  Graphics, Controls, Forms,
  StdCtrls;
type
  TForm1 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FlashButtonClick(Sender: TObject);
  private
    FlashButton: TButton;
  end;
var
  Form1: TForm1;
implementation
{$R *.DFM}
procedure TForm1.Button1Click(Sender: TObject);
begin
  FlashButton := TButton.Create(Form1);
  FlashButton.Parent := Form1;
  FlashButton.SetBounds(40,20,320,110);
  FlashButton.Default := True;
  FlashButton.Caption := ' The button was created at run-time';
  FlashButton.Font.Name := 'Times New Roman';
  FlashButton.Font.Color := clBlue;
  FlashButton.Font.Size := 13;
  FlashButton.Font.Style := [fsItalic];
  FlashButton.OnClick := FlashButtonClick;
end;

procedure TForm1.FlashButtonClick(Sender: TObject);
begin
  MessageBox(Handle, 'You have pressed the button'
         +' which was created run-time', 'Info', mb_Ok);
end;

end.
