unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Edit2: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    procedure Edit1KeyPress(Sender: TObject; var Key: Char);
    procedure Edit2KeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
    function BuyukHarfeCevir(harf : char) : char;
    function KucukHarfeCevir(harf : char) : char;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

function TForm1.BuyukHarfeCevir(harf : char) : char;
  begin
    if harf in ['a'..'z','','','','','',''] then
    begin
      result := chr(ord(harf)-32);
      if result = 'I' then result := ''
      else
       if result = '' then result := 'I';
    end
    else
      result := harf;
  end;

function TForm1.KucukHarfeCevir(harf : char) : char;
  begin
    if harf in ['A'..'Z','','','','','',''] then
    begin
      result := chr(ord(harf)+32);
      if result = 'i' then result := ''
      else
       if result = '' then result := 'i';
    end
    else
      result := harf;
  end;

{$R *.DFM}

procedure TForm1.Edit1KeyPress(Sender: TObject; var Key: Char);
begin
   Key:=BuyukHarfeCevir(Key)
end;

procedure TForm1.Edit2KeyPress(Sender: TObject; var Key: Char);
begin
      Key:=KucukHarfeCevir(Key)
end;

end.
