program objects;
type
    TGeometricShape=Class
                    ObjectName:string;
                    Area:real;
                    Procedure CalculateArea; virtual; // polymorphism
                   end;
    TRectangle=class(TGeometricShape) //inherited from TGeometricShape
                   Height,Width:real;
                   Procedure SetDimensions(h,w:real);
                   Procedure CalculateArea; override; // polymorphism
               end;
    TCircle=Class(TGeometricShape) //inherited from TGeometricShape
                   Diameter:real;
                   Procedure SetDiamater(D:real);
                   Procedure CalculateArea; override; // polymorphism
               end;
Procedure TRectangle.SetDimensions(h,w:real);
begin
     Height:=h; Width:=w;
end;
Procedure TCircle.SetDiamater(D:real);
begin
      Diameter:=D;
end;
Procedure TGeometricShape.CalculateArea;
begin
   Area:=0;
end;
Procedure TRectangle.CalculateArea;
begin
     Area:=Width*Height;
end;
Procedure TCircle.CalculateArea;
begin
     Area:=(Pi*sqr(Diameter))/4;
end;
Var
  Shape:TGeometricShape;
begin    {Main Program}
  Shape:=TCircle.Create;
  (Shape as TCircle).SetDiamater(10);
  Shape.CalculateArea;
  writeln('Area of Circle:',Shape.Area:5:2);
  Shape.Destroy;

  Shape:=TRectangle.Create;
  (Shape as TRectangle).SetDimensions(10,300);
  Shape.CalculateArea;
  writeln('Area of Rectangle:',Shape.Area:5:2);
  Shape.Destroy;
  readln
end.

