unit Main;

interface

uses
  WinTypes, WinProcs, Classes,
  Graphics, Forms, Controls;

type
  TEventsOne = class(TForm)
    procedure FormClick(Sender: TObject);
    procedure FormMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  EventsOne: TEventsOne;

implementation

uses
  Dialogs;

{$R *.DFM}

procedure TEventsOne.FormClick(Sender: TObject);
begin
  MessageDlg('Hello', mtInformation, [mbOk], 0);
end;

procedure TEventsOne.FormMouseDown(Sender: TObject;
                               Button: TMouseButton;
                               Shift: TShiftState;
                               X, Y: Integer);
begin
  if ssRight in Shift then
    Canvas.TextOut(X, Y, 'Sa Dme');
end;

procedure TEventsOne.FormKeyDown(Sender: TObject;
                             var Key: Word;
			      Shift: TShiftState);
begin
  MessageDlg(Chr(Key), mtInformation, [mbOk], 0);
end;

procedure TEventsOne.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
 if MessageDlg('Will you exit?',
    mtConfirmation,[mbYes,mbNo],0) = mrYes then
 CanClose:=true else  CanClose:=false
end;

end.
