unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, StdCtrls;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    mnFile: TMenuItem;
    mnOpen: TMenuItem;
    mnSave: TMenuItem;
    mnClose: TMenuItem;
    mnQuit: TMenuItem;
    OpenDialog1: TOpenDialog;
    mnNew: TMenuItem;
    Memo1: TMemo;
    SaveDialog1: TSaveDialog;
    procedure mnQuitClick(Sender: TObject);
    procedure mnOpenClick(Sender: TObject);
    procedure mnCloseClick(Sender: TObject);
    procedure mnNewClick(Sender: TObject);
    procedure mnSaveClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.mnQuitClick(Sender: TObject);
begin
     close
end;

procedure TForm1.mnOpenClick(Sender: TObject);
var
  TextDocument:textfile;
  LineString:string;
begin
     if (opendialog1.Execute) and (opendialog1.FileName<>'') then
     begin
         memo1.Clear;
         Memo1.Visible:=false;
         assignfile(TextDocument,opendialog1.FileName);
         reset(TextDocument);
         while not eof(TextDocument) do
         begin
           readln(TextDocument,LineString);
           memo1.Lines.Add(LineString);
         end;
         closefile(TextDocument);
         memo1.Visible:=true;
     end;
end;

procedure TForm1.mnCloseClick(Sender: TObject);
begin
   memo1.Visible:=false
end;

procedure TForm1.mnNewClick(Sender: TObject);
begin
  memo1.Clear;
  memo1.Visible:=true;
end;

procedure TForm1.mnSaveClick(Sender: TObject);
var
  TextDocument:textfile;
  i:integer;
begin
     if Savedialog1.Execute then Savedialog1.FileName;
     assignfile(TextDocument,Savedialog1.FileName);
     rewrite(TextDocument);
     for i:=0 to Memo1.Lines.Count-1 do
         writeln(TextDocument,memo1.Lines[i]);
     closefile(TextDocument);
end;

end.
